Bug 1279526 - restarting rpbind also restart the the nfs server
Summary: restarting rpbind also restart the the nfs server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nfs-utils
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1266993
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-09 16:19 UTC by Steve Dickson
Modified: 2015-12-31 01:50 UTC (History)
8 users (show)

Fixed In Version: nfs-utils-1.3.3-4.rc1.fc23 nfs-utils-1.3.3-4.rc1.fc22 nfs-utils-1.3.3-5.rc2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of: 1266993
Environment:
Last Closed: 2015-12-31 01:50:58 UTC


Attachments (Terms of Use)

Description Steve Dickson 2015-11-09 16:19:06 UTC
+++ This bug was initially created as a clone of Bug #1266993 +++

Description of problem:
bz1171603 introduce an regression that cause the starting
and stop of rpcbind  to cause the NFS servers to be
restarted as well...

The starting and stopping of rpcbind should be
independent of the NFS server especially in
NFS v4 only environments  

The starting of the NFS server should start rpcbind
but bring rpcbind down should not bring the NFS
server down. 


How reproducible:
100%

Steps to Reproduce:
1. systemctl restart rpcbind

Additional info:
The fix
--- nfs-server.service.orig	2015-09-24 10:50:59.000000000 -0400
+++ nfs-server.service	2015-09-28 14:30:22.497552233 -0400
@@ -1,7 +1,7 @@
 [Unit]
 Description=NFS server and services
 DefaultDependencies=no
-Requires= network.target proc-fs-nfsd.mount rpcbind.service
+Requires= network.target proc-fs-nfsd.mount rpcbind.target
 Requires= nfs-mountd.service
 Wants=rpc-statd.service nfs-idmapd.service
 Wants=rpc-statd-notify.service

Comment 1 Steve Dickson 2015-11-09 16:36:14 UTC
The upstream posting
   http://marc.info/?l=linux-nfs&m=144708678813608&w=2

Comment 2 Fedora Update System 2015-11-16 21:44:28 UTC
nfs-utils-1.3.3-3.rc1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1ae8876633

Comment 3 Fedora Update System 2015-11-17 20:01:25 UTC
nfs-utils-1.3.3-4.rc1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-8d3d8ebc26

Comment 4 Fedora Update System 2015-11-17 20:01:27 UTC
nfs-utils-1.3.3-4.rc1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-66b96dbd3f

Comment 5 Fedora Update System 2015-11-18 16:51:43 UTC
nfs-utils-1.3.3-3.rc1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nfs-utils'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1ae8876633

Comment 6 Fedora Update System 2015-11-19 00:22:33 UTC
nfs-utils-1.3.3-3.rc1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nfs-utils'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-66d93a178b

Comment 7 Fedora Update System 2015-11-19 14:52:31 UTC
nfs-utils-1.3.3-4.rc1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nfs-utils'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-8d3d8ebc26

Comment 8 Fedora Update System 2015-11-19 15:27:34 UTC
nfs-utils-1.3.3-4.rc1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nfs-utils'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-66b96dbd3f

Comment 9 Fedora Update System 2015-11-19 16:56:06 UTC
nfs-utils-1.3.3-4.rc1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nfs-utils'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-66b96dbd3f

Comment 10 Fedora Update System 2015-11-30 21:22:08 UTC
nfs-utils-1.3.3-4.rc1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-12-13 09:52:09 UTC
nfs-utils-1.3.3-4.rc1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-12-14 17:09:43 UTC
nfs-utils-1.3.3-5.rc2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-723ec1b17d

Comment 13 Fedora Update System 2015-12-22 15:36:43 UTC
nfs-utils-1.3.3-5.rc2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-723ec1b17d

Comment 14 Fedora Update System 2015-12-31 01:50:52 UTC
nfs-utils-1.3.3-5.rc2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.